/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.geoviewer;

import java.util.Collections;
import java.util.Set;

/**
 * contains selected objects for a layer
 *
 * @author Timon Veenstra
 */
public class LayerObjectSelection {

    private final Set<LayerObject> objects;
    private final Layer layer;

    /**
     * construct selection with immutable objects
     * 
     * @param objects
     * @param layer
     */
    public LayerObjectSelection(Set<LayerObject> objects, Layer layer) {
        this.objects = objects;
        this.layer = layer;
    }

    /**
     * 
     * @return
     */
    public Layer getLayer() {
        return layer;
    }

    /**
     *
     * @return unmodifiableSet selected objects
     */
    public Set<LayerObject> getObjects() {
        return Collections.unmodifiableSet(objects);
    }
}
